* {
  margin: 0;
  border: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "JetBrains Mono";
  line-height: 1.5;
  color: #445577;
}

html, body {
  background-color: #ffffff;
  font-size: 10px;
}

body > header,
body > nav,
body > section,
body > article,
body > aside,
body > footer,
body > div {
  padding: 2rem;
}

@font-face {
  font-family: "NotoSans";
  src: url("/public/fonts/NotoSans-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "NotoSans";
  src: url("/public/fonts/NotoSans-Black.woff2") format("woff2");
  font-weight: bold;
}

@font-face {
  font-family: "NotoSans";
  src: url("/public/fonts/NotoSans-Italic.woff2") format("woff2");
  font-style: italic;
}

@font-face {
  font-family: "NotoSans";
  src: url("/public/fonts/NotoSans-BlackItalic.woff2") format("woff2");
  font-weight: bold;
  font-style: italic;
}

@font-face {
  font-family: "JetBrainsMono";
  src: url("/public/fonts/JetBrainsMono-Regular.woff2") format("woff2");
}

@font-face {
  font-family: "JetBrainsMono";
  src: url("/public/fonts/JetBrainsMono-Bold.woff2") format("woff2");
  font-weight: bold;
}

@font-face {
  font-family: "JetBrainsMono";
  src: url("/public/fonts/JetBrainsMono-Italic.woff2") format("woff2");
  font-style: italic;
}

@font-face {
  font-family: "JetBrainsMono";
  src: url("/public/fonts/JetBrainsMono-BoldItalic.woff2") format("woff2");
  font-weight: bold;
  font-style: italic;
}

h1,
h1 *,
h2,
h2 *,
h3,
h3 *,
h4,
h4 *,
h5,
h5 *,
h6,
h6 * {
  font-family: NotoSans;
}

h1 {
  font-size: 3rem;
}

h1 a:link,
h1 a:visited,
h1 a:hover,
h1 a:active {
  text-decoration: none;
}

h2 {
  font-size: 2rem;
}

p {
  margin-bottom: 2rem;
  font-size: 2rem;
}

a {
  font-weight: bold;
}
a:link { text-decoration: none; }
a:visited { text-decoration: none; }
a:hover { text-decoration: underline; color: #556699; }
a:active { text-decoration: none; }

.margin-1x {
  margin: 1rem
}

.margin-1x__tb {
  margin: 1rem 0;
}

.margin-1x__lr {
  margin: 0 1rem;
}

.margin-2x {
  margin: 2rem
}

.margin-2x__tb {
  margin: 2rem 0;
}

.margin-2x__b {
  margin: 0 0 2rem 0;
}

.margin-2x__lr {
  margin: 0 2rem;
}

.text-left {
  text-align: left;
}

.text-center {
  text-align: center;
}

.text-right {
  text-align: right;
}

.text-bold {
  font-weight: bold;
}

.text-italic {
  font-style: italic;
}

.centered-content {
  display: flex;
  align-items: center;
  justify-content: center;
}

.block {
  margin: 2rem 0;
  padding: 4rem 0;
}

.block h3 {
  margin-bottom: 2rem;
  text-align: center;
}

.card {
  box-shadow: 0 0 4rem 0 #ddeeff;
  border-radius: 1rem;
}

.code {
  font-family: JetBrainsMono;
}

.container {
  margin: 0 auto;
  max-width: 104rem;
}

.flex-row,
.flex-column {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.flex-column {
  flex-direction: column;
}

.flex-list {
  padding: 0;
  list-style: none;
  display: flex;
  gap: 2rem;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.main-header {
  background-color: #ffffff;
  box-shadow: 0 0 4rem 0 #ddeeff;
}

.main-header h1,
.main-header h2 {
  text-align: center;
}

.logo-container {
  margin-bottom: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo {
  border-radius: 2rem;
  width: 100px;
  display: block;
}

.main-menu {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  list-style: none;
  font-size: 1.5rem;
  font-weight: bold;
  text-transform: uppercase;
}

.main-menu li {
  margin: 0 1rem;
}

.main-menu li a {
  border-radius: 1rem;
  padding: 1rem 2rem;
  display: block;
  text-decoration: none;
}

.main-menu li a:hover,
.main-menu li a.active {
  background-color: #445577;
  color: #ffffff;
}

.profile {
  display: flex;
  gap: 4rem;
}

.profile .profile-photo,
.profile .profile-description {
  flex: 1 1 50%;
}

.profile .profile-photo img {
  border-radius: 100%;
  max-width: 100%;
}

.main-section {
  font-size: 2rem;
}

[class^="tool-"] {
  font-weight: bold;
}

.tool-html {
  color: #e44d26;
}

.tool-css {
  color: #214ce5;
}

.tool-javascript {
  color: #e6bf00;
}

.tool-typescript {
  color: #3178c6;
}

.tool-nodejs {
  color: #417e38;
}

.tool-react {
  color: #087ea4;
}

.tool-python {
  color: #3776ab;
}

.tool-sql {
  color: #cc33cc;
}

.tool-git {
  color: #f14e32;
}

.tool-docker {
  color: #1d63ed;
}

.tool-aws {
  color: #ff9900;
}

.certifications img {
  max-width: 100px;
}

.project-list {
  margin-bottom: 4rem;
  align-items: stretch;
  justify-content: space-between;
  gap: 10rem;
}

.project-tile {
  border-radius: 4rem;
  flex: 0 0 calc(50% - 5rem);
  display: flex;
  flex-direction: column;
  overflow: hidden;
  text-align: center;
}

.project-tile .poster-image {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.project-tile .poster-image img {
  width: 100%;
}

.project-tile .text-content {
  padding: 4rem;
  flex: 1;
}

.project-tile p {
  font-size: 1.5rem;
}

.project-tile .project-tile__action-btn {
  border-radius: 1rem;
  padding: 1rem;
  display: block;
  background-color: #445577;
  color: #ffffff;
  text-decoration: none;
}

.project-tile .call-to-action {
  padding: 4rem;
}

.project-tile .project-tile__action-btn:hover {
  background-color: #556699;
}

.project-tools-list {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

.project-tools-list li {
  border-radius: 2rem;
  padding: 0.5rem 1rem;
  background-color: #99aacc;
  font-size: 1.3rem;
  font-weight: normal;
  color: #ffffff;
}

.project-tools-list .tool-html {
  background-color: #e44d26;
}

.project-tools-list .tool-css {
  background-color: #214ce5;
}

.project-tools-list .tool-javascript {
  background-color: #e6bf00;
}

.project-tools-list .tool-typescript {
  background-color: #3178c6;
}

.project-tools-list .tool-nodejs {
  background-color: #417e38;
}

.project-tools-list .tool-react {
  background-color: #087ea4;
}

.project-tools-list .tool-python {
  background-color: #3776ab;
}

.project-tools-list .tool-sql {
  background-color: #cc33cc;
}

.project-tools-list .tool-git {
  background-color: #f14e32;
}

.project-tools-list .tool-docker {
  background-color: #1d63ed;
}

.project-tools-list .tool-aws {
  background-color: #ff9900;
}

.modal {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal-overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
  background-color: #f7f7f7;
  opacity: 0.8;
}

.modal-window {
  margin: 2rem;
  border-radius: 2rem;
  padding: 4rem;
  max-width: 60rem;
  position: relative;
  background-color: #f7f7f7;
  box-shadow: 0 0 4rem 0 #ddeeff;
}

.modal-window::before {
  border-radius: 100%;
  display: block;
  width: 1rem;
  height: 1rem;
  position: absolute;
  top: 1rem;
  right: 1rem;
  background-color: #ff3300;
}

.main-footer {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.5rem;
}

@media screen and (max-width:640px)  {
  .flex-row {
    flex-direction: column;
  }

  .profile {
    flex-direction: column;
    align-items: center;
  }

  .profile .profile-photo img {
    border-radius: 4rem;
  }

  .project-tile {
    flex: 0 0 100%;
  }
}
